Skip to main content
GET
List all SKUs

Authorizations

Authorization
string
header
required

Access token

Headers

x-customer-group-id
string

This param is used to determine product pricing, promotions, and subscription rates. If a valid customer group id is provided, pricing details will be retrieved accordingly. If no matching data is found for the specified customer group id, the system will fall back to the default customer group id. If no data is found for the default group either, the highest applicable price will be returned.

Query Parameters

page
integer
default:1

Page number, from 1.

Required range: x >= 1
limit
integer
default:25

Number of results per page.

Required range: 1 <= x <= 100
category_id
string[]

filter sku by categories

category_slug
string[]

filter products by categories slugs

inventory
boolean

Determines whether to include or exclude inventory details in response json

product_type
enum<string>[]

Filter by product type. Only items with a SKU are listed.

Available options:
physical,
digital,
bundle
sku
string[]

array of sku

sort_by
string

Sort within the returned page by item fields using a JSON object of field names and directions. Use asc for string fields such as sku, product_name and variant_name; numeric fields such as reviews_count and reviews_rating_sum support asc and desc.

Example:

"{\"sku\":\"asc\"}"

Response

Success response

message
string
required
Example:

"SKUs retrieved successfully."

success
boolean
required
content
object
required